<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<c:if test="${dataMap['autopayment.enable']}">
    <div class="tab ${requestScope.paymentName} autopayment textColor4 borderRadius border4" style="text-align: center; padding: 10px 20px; display: none;">
	<form action="" method="POST" class="autopayment">
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="operation" value="autopayment" />

		<div class="text1 textIndent" style="margin-top: 20px;">Подключение услуги автоплатежа позволяет периодически пополнять баланс по заданным ниже параметрам. После подключения автоплатежа его можно в любой момент отключить или изменить параметры.</div>
		
		<div class="table" style="width: 100%; margin-top: 15px;">
		<div style="display: table-row;">
		<div style="display: table-cell; text-align: left; vertical-align: top; padding-bottom: 10px; width: 10%">
		<div class="subTitle" style="padding-bottom: 5px;">Режим:</div>
		 
		<select name="mode" size="4" onchange="jQuery('div.autopaymentParam').hide(); jQuery('div.autopaymentParam.mode_'+this.options[this.selectedIndex].value).show(); return false;">

			<c:set var="selected"><c:if test="${dataMap['autopayment.mode'] == 0}">selected="selected"</c:if></c:set>
			<option value="0" ${selected}>выключен</option>
	
			<c:if test="${dataMap['autopayment.mode.week.enable']}">
			<c:set var="selected"><c:if test="${dataMap['autopayment.mode'] == 1}">selected="selected"</c:if></c:set>
			<option value="1" ${selected}>еженедельный</option>
			</c:if>
	
			<c:if test="${dataMap['autopayment.mode.month.enable']}">
			<c:set var="selected"><c:if test="${dataMap['autopayment.mode'] == 2}">selected="selected"</c:if></c:set>
			<option value="2" ${selected}>ежемесячный</option>
			</c:if>
	
			<c:if test="${dataMap['autopayment.mode.auto.enable']}">
			<c:set var="selected"><c:if test="${dataMap['autopayment.mode'] == 3}">selected="selected"</c:if></c:set>
			<option value="3" ${selected}>автоматический</option>
			</c:if>

		</select>

		</div>
		<div style="display: table-cell; text-align: left; padding-left: 30px;">
		<c:set var="hide"><c:if test="${dataMap['autopayment.mode'] == 0}">hide</c:if></c:set>
		<div class="autopaymentParam mode_1 mode_2 mode_3 subTitle ${hide}" style="padding-bottom: 5px;">Параметры режима:</div>		

		<c:if test="${dataMap['autopayment.mode.week.enable']}">
		<c:set var="hide"><c:if test="${dataMap['autopayment.mode'] != 1}">hide</c:if></c:set>
		<c:set var="weekSum"><fmt:formatNumber groupingUsed="false" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.week.sum']}" /></c:set>
		<c:set var="helpWeekSum">Введите сумму в диапазоне от <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.week.sum.min']}" /> до <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.week.sum.max']}"/> ${currencyTitleMedium}</c:set>
		<div class="autopaymentParam mode_1 ${hide}">
			<div class="text textIndent" style="margin-top: 10px;">Выберите день недели и сумму</div>
			<div style="text-align: right; margin-top: 10px;">
			День недели: <select name="dayOfWeek"><c:forTokens var="option" items="2:Понедельник;3:Вторник;4:Среда;5:Четверг;6:Пятница;7:Суббота;1:Воскресенье" delims=";"><c:set var="selected"><c:if test="${dataMap['autopayment.mode.week.day'] eq fn:substring(option, 0, 1)}"> selected="selected"</c:if></c:set><option value="${fn:substring(option, 0, 1)}"${selected}>${fn:substring(option, 2, -1)}</option></c:forTokens></select><br/>
			Сумма: <input type="text" name="weekSum" size="8" maxlength="10" value="${weekSum}" onfocus="showHelpMessage('${helpWeekSum}');" onblur="hideHelpMessage();" class="autopaymentSum"></div>
		</div>
		</c:if>

		<c:if test="${dataMap['autopayment.mode.month.enable']}">
		<c:set var="hide"><c:if test="${dataMap['autopayment.mode'] != 2}">hide</c:if></c:set>
		<c:set var="monthSum"><fmt:formatNumber groupingUsed="false" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.month.sum']}" /></c:set>
		<c:set var="helpMonthDay">Если в текущем месяце нет указаного дня, списание будет произведено в последний день месяца.</c:set>
		<c:set var="helpMonthSum">Введите сумму в диапазоне от <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.month.sum.min']}" /> до <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.month.sum.max']}"/> ${currencyTitleMedium}</c:set>
		<div class="autopaymentParam mode_2 ${hide}">
			<div class="text textIndent" style="margin-top: 10px;">Выберите день месяца и сумму</div>
			<div style="text-align: right; margin-top: 10px;">
			День месяца (от 1 до 31): <input type="text" name="dayOfMonth" size="8" maxlength="2" value="${dataMap['autopayment.mode.month.day']}" onfocus="showHelpMessage('${helpMonthDay}');" onblur="hideHelpMessage();" class="autopaymentMonthDay"><br/>
			Сумма: <input type="text" name="monthSum" size="8" maxlength="10" value="${monthSum}" onfocus="showHelpMessage('${helpMonthSum}');" onblur="hideHelpMessage();" class="autopaymentSum"></div>
		</div>
		</c:if>
		
		<c:if test="${dataMap['autopayment.mode.auto.enable']}">
		<c:set var="hide"><c:if test="${dataMap['autopayment.mode'] != 3}">hide</c:if></c:set>
		<c:set var="autoDaySum"><fmt:formatNumber groupingUsed="false" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.auto.day.sum']}" /></c:set>
		<c:set var="autoWeekSum"><fmt:formatNumber groupingUsed="false" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.auto.week.sum']}" /></c:set>
		<c:set var="autoMonthSum"><fmt:formatNumber groupingUsed="false" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.auto.month.sum']}" /></c:set>
		<c:set var="helpAutoDaySum">Введите сумму в диапазоне от <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="0" /> до <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.auto.day.sum.max']}"/> ${currencyTitleMedium}</c:set>
		<c:set var="helpAutoWeekSum">Введите сумму в диапазоне от <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="0" /> до <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.auto.week.sum.max']}"/> ${currencyTitleMedium}</c:set>
		<c:set var="helpAutoMonthSum">Введите сумму в диапазоне от <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="0" /> до <fmt:formatNumber groupingUsed="true" maxFractionDigits="2" minFractionDigits="2" value="${dataMap['autopayment.mode.auto.month.sum.max']}"/> ${currencyTitleMedium}</c:set>
		<div class="autopaymentParam mode_3 ${hide}">
			<div class="text textIndent" style="margin-top: 10px;">Сумма и частота списания определяется провайдером</div>
			<div style="text-align: right; margin-top: 10px;"> 
			Максимальная сумма в день: <input type="text" name="maxDaySum" size="8" maxlength="10" value="${autoDaySum}" onfocus="showHelpMessage('${helpAutoDaySum}');" onblur="hideHelpMessage();" class="autopaymentSum"><br/>
			<nobr>Максимальная сумма в неделю: <input type="text" name="maxWeekSum" size="8" maxlength="10" value="${autoWeekSum}" onfocus="showHelpMessage('${helpAutoWeekSum}');" onblur="hideHelpMessage();" class="autopaymentSum"></nobr><br/>
			Максимальная сумма в месяц: <input type="text" name="maxMonthSum" size="8" maxlength="10" value="${autoMonthSum}" onfocus="showHelpMessage('${helpAutoMonthSum}');" onblur="hideHelpMessage();" class="autopaymentSum"></div>
		</div>
		</c:if>
		</div>
		</div>
		</div>
		<div style="margin-bottom: 20px; margin-top: 10px;"><button type="button" onclick="checkAutopayment(form)" class="button">Применить изменения</button></div>
	</form>
	</div>
	<div id="autopaymentDialog" style="display: none;" title="Подтверждение"><div></div></div>
</c:if>