<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text" encoding="UTF-8" indent="yes"/>

<xsl:template match="/data">
"Отчет по балансу";
"Контракт:";"<xsl:value-of select="@contractTitle"/>";"<xsl:value-of select="@comment"/>";
"Период с:";<xsl:value-of select="@date1"/>;"по";<xsl:value-of select="@date2"/>;
<xsl:call-template name="main"/>
</xsl:template>

<xsl:template name="main">
<xsl:for-each select="/data/month">
"<xsl:value-of select="@title"/>";
"Входящий остаток на начало месяца";<xsl:value-of select="balance/table/@summa1"/>;
"Приход за месяц";<xsl:value-of select="balance/table/@summa2"/>;
<xsl:for-each select="payment/table/data/row">
<xsl:value-of select="@f2"/>;"<xsl:value-of select="@f4"/>";<xsl:value-of select="@f3"/>;
</xsl:for-each>
"Наработка за месяц";-<xsl:value-of select="balance/table/@summa3"/>;
<xsl:for-each select="account/table/data/row">
"<xsl:value-of select="@f1"/>";<xsl:value-of select="@f2"/>;
</xsl:for-each>
"Расход за месяц";-<xsl:value-of select="balance/table/@summa4"/>;
<xsl:for-each select="charge/table/data/row">
<xsl:value-of select="@f2"/>;"<xsl:value-of select="@f4"/>";<xsl:value-of select="@f3"/>;
</xsl:for-each>
"Исходящий остаток на конец месяца";<xsl:value-of select="balance/table/@summa5"/>;
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
