<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">
<xsl:import href="layout.xsl"/>

<xsl:output encoding="windows-1251" method='html' indent='yes'/>

<xsl:variable name="mid" select="/data/@mid"/>
<xsl:variable name="activateType" select="/data/@activateType"/>

<xsl:template match="/">
	<xsl:call-template name="main">
  		<xsl:with-param name="mode" select="'pub'"/>
  	</xsl:call-template>
</xsl:template>

<xsl:template name="title">c </xsl:template>

<xsl:template match="/data">
<!-- 
<h2> </h2>
 -->
<xsl:if test="error">
<xsl:choose>
	<xsl:when test="error/@id='contractNotFound'">
		<div class="errorMessage">
			<b>:   </b><br/>
			    (<xsl:value-of select="error/@userName"/>)     .     .        ,   ,   "-"    (    ,    ).     . : NK00001-05, 123456-06  ..
		</div>
	</xsl:when>
	<xsl:when test="error/@id='emailNotValid'">
		<div class="errorMessage">
			<b>:  Email</b><br/>
			  Email (<xsl:value-of select="error/@email"/>)    email    (<xsl:value-of select="error/@userName"/>)   c .
		</div>
	</xsl:when>
	<xsl:when test="error/@id='emailNotFound'">
		<div class="errorMessage">
			<b>:  c  </b><br/>
			   (<xsl:value-of select="error/@userName"/>)  c  .       .
		</div>
	</xsl:when>
	<xsl:otherwise>
		<div class="errorMessage">
			<b>: </b><br/>
			   !!! [error = '<xsl:value-of select="error/@id"/>']   !
		</div>
		<h3></h3>
	</xsl:otherwise>
</xsl:choose>
</xsl:if>

<xsl:if test="not(ok)">
<p> c       email (     c ).    c      email.</p>
<form action="{$PUBEXECUTER}">
	<input type="hidden" name="action" value="PasswordForgot" />
	<input type="hidden" name="module" value="admin" />
	<table class="filter">
		<tr valign="top">
			<th nowrap="nowrap"> :</th>
			<td>
				<input type="text" name="contract" size="20" />
				<br/>
				<span class="formHint">
					       ,   , 
					 "-"    (    ,    ).
					    . : NK00001-05, 123456-06  ..
				</span>
			</td>
		</tr>
		<tr valign="top">
			<th nowrap="nowrap">Email:</th>
			<td>
				<input type="text" name="email" size="20" />
				<br/>
				<span class="formHint">
					Email      c .
				</span>
			</td>
		</tr>
		<tr valign="top">
			<td nowrap="nowrap"></td>
			<td>
				<input type="submit" value="" />
			</td>
		</tr>
	</table>
</form>
</xsl:if>
<xsl:if test="ok">
	<div class="infoMessage">   c      E-mail.</div>
</xsl:if>
</xsl:template>

</xsl:stylesheet>