<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">
<xsl:import href="layout.xsl"/>

<xsl:output encoding="windows-1251" method='html' indent='yes'/>

<xsl:variable name="mid" select="/data/@mid"/>
<xsl:variable name="activateType" select="/data/@activateType"/>

<xsl:template match="/">
	<xsl:call-template name="main">
  		<xsl:with-param name="mode" select="'pub'"/>
  	</xsl:call-template>
</xsl:template>

<xsl:template name="title">  </xsl:template>

<xsl:template match="/data">
<xsl:choose>
	<xsl:when test="error/@id='parameterLoginAndPasswordNotFound'">
		<h2>:  </h2>
		<p>         </p>
		<p> <a href="{$WEBEXECUTER}">  </a></p>
	</xsl:when>
	<xsl:when test="error/@id='loginNotFound'">
		<h2>:   </h2>
		<p>    (<xsl:value-of select="error/@userName"/>)     .</p>
		<p> :</p>
		<ul>
			<li>   ( )</li>
			<li>    .        ,   ,   "-"    (    ,    ).     . : NK00001-05, 123456-06  ..</li>
			<li> ,        . +X (XXX) XXX-XX-XX</li>
		</ul>
		<p> <a href="{$WEBEXECUTER}">  </a></p>
	</xsl:when>
	<xsl:when test="error/@id='passwordInvalid'">
		<h2>:  </h2>
		<p>      - <xsl:value-of select="error/@userName"/></p>
		<p> :</p>
		<ul>
			<li>   </li>
			<li>   </li>
			<li>   Caps Lock    </li>
			<li>             VPN.              .</li>
			<li>  <a href="{$PUBEXECUTER}?module=admin&amp;action=PasswordForgot">  </a></li>
			<li> ,        . +X (XXX) XXX-XX-XX</li>
		</ul>
		<p> <a href="{$WEBEXECUTER}">  </a></p>
	</xsl:when>
	<xsl:when test="error/@id='denyStatus'">
        <h2>:  </h2>
        <p>      <xsl:value-of select="error/@userName"/>   .</p>
        <p>  <a href="{$WEBEXECUTER}"> .</a></p>
    </xsl:when>
    <xsl:when test="error/@id='denyClosedPeriod'">
        <h2>:  </h2>
        <p>      <xsl:value-of select="error/@userName"/> .    .</p>
        <p>  <a href="{$WEBEXECUTER}"> .</a></p>
    </xsl:when>
	<xsl:when test="error/@id='accountLock'">
		<h2>:  </h2>
		<p>     <xsl:value-of select="error/@userName"/>   <xsl:value-of select="error/@lockTime"/></p>
		<p> :</p>
		<ul>
			<li>         ,          ,       .             ,                 ..          ,       .</li>
			<li>  ,      . +X (XXX) XXX-XX-XX</li>
			<li> ,        . +X (XXX) XXX-XX-XX</li>
		</ul>
		<p>         .  ,    .</p>
		<p>  :</p>
		<ul>
			<li>  Caps Lock    </li>
			<li>            VPN.              .</li>
			<li>      ,   <a href="{$PUBEXECUTER}?module=admin&amp;action=PasswordForgot">  </a></li>
		</ul>
		<p><a href="{$WEBEXECUTER}"></a></p>
	</xsl:when>
	<xsl:otherwise>
		<h2>: </h2>
		<p>   !!! [error = '<xsl:value-of select="error/@id"/>']   !</p>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>